<template>
  <div>
    <img v-bind:src="currentLogo" width="289.59" height="71" class="mobile-logo d-none d-lg-block"
         alt="European Union"/>
    <img v-bind:src="currentLogo" width="289.59" height="71" class="mobile-logo d-lg-none"
         alt="European Union"/>
  </div>
</template>

<script>
import logoBG from '@/assets/icon/eu-icons/logo-eu-bg.svg';
import logoCS from '@/assets/icon/eu-icons/logo-eu-cs.svg';
import logoDA from '@/assets/icon/eu-icons/logo-eu-da.svg';
import logoDE from '@/assets/icon/eu-icons/logo-eu-de.svg';
import logoEL from '@/assets/icon/eu-icons/logo-eu-el.svg';
import logoEN from '@/assets/icon/eu-icons/logo-eu-en.svg';
import logoES from '@/assets/icon/eu-icons/logo-eu-es.svg';
import logoET from '@/assets/icon/eu-icons/logo-eu-et.svg';
import logoFR from '@/assets/icon/eu-icons/logo-eu-fr.svg';
import logoGA from '@/assets/icon/eu-icons/logo-eu-ga.svg';
import logoHR from '@/assets/icon/eu-icons/logo-eu-hr.svg';
import logoHU from '@/assets/icon/eu-icons/logo-eu-hu.svg';
import logoIT from '@/assets/icon/eu-icons/logo-eu-it.svg';
import logoLT from '@/assets/icon/eu-icons/logo-eu-lt.svg';
import logoLV from '@/assets/icon/eu-icons/logo-eu-lv.svg';
import logoMT from '@/assets/icon/eu-icons/logo-eu-mt.svg';
import logoNL from '@/assets/icon/eu-icons/logo-eu-nl.svg';
import logoPL from '@/assets/icon/eu-icons/logo-eu-pl.svg';
import logoPT from '@/assets/icon/eu-icons/logo-eu-pt.svg';
import logoRO from '@/assets/icon/eu-icons/logo-eu-ro.svg';
import logoSK from '@/assets/icon/eu-icons/logo-eu-sk.svg';
import logoSL from '@/assets/icon/eu-icons/logo-eu-sl.svg';
import logoSV from '@/assets/icon/eu-icons/logo-eu-sv.svg';


export default {
  name: 'EuIcon',
  props: {
    useLanguageSelector: {
      type: Boolean,
      default: true
    },
    locale: {
      type: String,
      default: "en"
    },
  },
  data() {
    return {
      currentLanguage: this.locale,
      icons: {
        bg: logoBG,
        cs: logoCS,
        da: logoDA,
        de: logoDE,
        el: logoEL,
        en: logoEN,
        es: logoES,
        et: logoET,
        fr: logoFR,
        ga: logoGA,
        hr: logoHR,
        hu: logoHU,
        it: logoIT,
        lt: logoLT,
        lv: logoLV,
        mt: logoMT,
        nl: logoNL,
        pl: logoPL,
        pt: logoPT,
        ro: logoRO,
        sk: logoSK,
        sl: logoSL,
        sv: logoSV
      }
    };
  },

  computed: {
    currentLogo() {
      return this.icons[this.currentLanguage];
    }
  }
};
</script>


